# @(#)59   1.15.1.13   src/csm/install/pkgdefs/AIX.pm.perl, setup, csm_rhig, rhig0903a 2/12/07 07:35:28
# IBM_PROLOG_BEGIN_TAG 
# This is an automatically generated prolog. 
#  
#  
#  
# Licensed Materials - Property of IBM 
#  
# (C) COPYRIGHT International Business Machines Corp. 2003,2008 
# All Rights Reserved 
#  
# US Government Users Restricted Rights - Use, duplication or 
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp. 
#  
# IBM_PROLOG_END_TAG 
package AIX;
MessageUtils->messageFromCat(
							 'csmInstall.cat',
							 $::MSGMAPPATH,
							 'csminstall',
							 'V',
							 'IMsgLoading',
							 "/opt/csm/install/pkgdefs/AIX.pm"
							);
my $_server_  = 'MgmtServer';
my $_node_    = 'MgdNode';
my $_iserver_ = 'InstallServer';

%::pkgdefs = ();

# CSM binaries copied to /csminstall/csm directory
my $csm_bin_copy_csm;
my $a_ref = [
			 # files
			 '/opt/csm/csmbin/updatenode.client',
			 '/opt/csm/csmbin/write_status',
			 '/opt/csm/msgmaps/csmInstall.csminstall.map',
			 '/opt/csm/pm/MessageUtils.pm',
			 '/opt/csm/pm/NodeUtils.pm',
			 '/opt/csm/pm/ApacheUtils.pm',
			 '/opt/csm/pm/ArchiveUtils.pm',
			 '/opt/csm/pm/InstallKRB5Utils.pm',
			 '/opt/csm/msgmaps/csmKRB5p.csmKRB5p_msg.map',
			 '/opt/csm/pm/NetworkUtils.pm',
			 '/opt/csm/pm/ServerUtils.pm',
			 '/opt/csm/pm/CSMDefs.pm',
			 '/opt/csm/msgmaps/nodecmds.NodeUtils.map',
			 '/opt/csm/csmbin/rmnode_client',
			 '/opt/csm/csmbin/makenode',
			 '/opt/csm/csmbin/csmprereboot',
			 '/opt/csm/csmbin/osfirstboot',
			 '/opt/csm/csmbin/csmfirstboot',
			'/opt/csm/csmbin/csmfirstbootstrap',

			 # directories
			 '/opt/csm/install/defs',
			 '/opt/csm/install/pkgdefs',
			 '/opt/csm/pm/Rpm'
			];
my $b_ref = [
			 # files
			 '/opt/csm/csmbin/nodestatus.client',
			 '/opt/csm/csmbin/nodestat.awk',
			 '/opt/csm/csmbin/syncServers.client',
			 '/opt/csm/csmbin/updateRDMdserver',
			 '/opt/csm/csmbin/get_RDMdserver_config',
			 '/opt/csm/csmbin/write_status',
			 '/opt/csm/msgmaps/csmInstall.csminstall.map',
			 '/opt/csm/pm/MessageUtils.pm',
			 '/opt/csm/pm/NodeUtils.pm',
			 '/opt/csm/pm/ApacheUtils.pm',
			 '/opt/csm/pm/ArchiveUtils.pm',
			 '/opt/csm/pm/InstallKRB5Utils.pm',
			 '/opt/csm/msgmaps/csmKRB5p.csmKRB5p_msg.map',
			 '/opt/csm/pm/NetworkUtils.pm',
			 '/opt/csm/pm/ServerUtils.pm',
			 '/opt/csm/pm/CSMDefs.pm',
			 '/opt/csm/msgmaps/nodecmds.NodeUtils.map',
			 '/opt/csm/csmbin/rmnode_client',
			 '/opt/csm/bin/setupconsole',
			 '/opt/csm/csmbin/csmprereboot',
			 '/opt/csm/csmbin/csmfirstboot',
			 '/opt/csm/csmbin/osfirstboot',
			 '/opt/csm/csmbin/setbootdisk',
			'/opt/csm/csmbin/csmfirstbootstrap',

			 # directories
			 '/opt/csm/install/defs',
			 '/opt/csm/install/pkgdefs',
			 '/opt/csm/pm/Rpm'
			];
if (!defined($ENV{'DC_ENVIRONMENT'}) || $ENV{'DC_ENVIRONMENT'} eq "CSM")
{
	$::pkgdefs{csm_bin_copy_csm} = $a_ref;
}
else
{
	$::pkgdefs{csm_bin_copy_csm} = $b_ref;
}

#-------------------------------------------------------------------------------

=head3	pkgdefs defaults

	some requred support is not defined for all platforms and archs;  
	these defaults are here to ensure that the data coming out of
	pkgdefs is consistent, regardless of the specific distributiion


	Notes :

=cut

#-------------------------------------------------------------------------------
{
	my $empty_ref = [];

	$::pkgdefs{getmacs_Exec}         = $empty_ref;    # getmacs
	$::pkgdefs{getmacs_Lib}          = $empty_ref;
	$::pkgdefs{getmacs_ReqLibs}      = $empty_ref;
	$::pkgdefs{getmacs_DirStructure} = $empty_ref;

	#    $::pkgdefs{sp_disks}{QU1}        = $empty_ref;	# sp_disks
	#    $::pkgdefs{sp_disks}{QU2}        = $empty_ref;

}

#-------------------------------------------------------------------------------

=head3	optional_copy_packages - Optional packages to copy.  

        Notes:
        These will only be copied if they exist in the pkgpath.  No errors 
	will be displayed if they are not present.

	If a specific AIX release needs some optional packages, either add
	them to this pkgdefs file if they apply to all AIX releases.  If they
	only apply to one AIX release, add an optional_copy_packages to the 
	specific AIX pkgdefs file.

=cut

#-------------------------------------------------------------------------------
{
	my %ocp_ref;

	# defaults
	$ocp_ref{$_server_}{$::csm_version}  = ['csm.bluegene'];
	$ocp_ref{$_iserver_}{$::csm_version} = [];
	$ocp_ref{$_node_}{$::csm_version}    = [];

	$::pkgdefs{optional_copy_packages} = $ocp_ref{$::mgmt_type}{$::csm_version};
}

#-------------------------------------------------------------------------------

=head3	optional_install_packages - Optional packages to install.

        Notes:
        These will only be installed if they exist in /csminstall.  No errors 
	will be displayed if they are not present.

	If a specific AIX release needs some optional packages, either add
	them to this pkgdefs file if they apply to all AIX releases.  If they
	only apply to one AIX release, add an optional_install_packages to 
	the specific AIX pkgdefs file.
=cut

#-------------------------------------------------------------------------------
{
	my %oip_ref;

	# defaults
	$oip_ref{$_server_}{$::csm_version}  = [];
	$oip_ref{$_iserver_}{$::csm_version} = [];
	$oip_ref{$_node_}{$::csm_version}    = [];

	$::pkgdefs{optional_install_packages} =
	  $oip_ref{$::mgmt_type}{$::csm_version};
}

#-------------------------------------------------------------------------------

$::pkgdefs{'where_supported'} = ['MgmtServer', 'InstallServer', 'MgdNode'];
$::pkgdefs{'arch'} = "ppc64";
# CSM binaries copied to /tftpboot directory
my $csm_bin_copy_tftpboot;
$csm_bin_copy_tftpboot = [];
$::pkgdefs{csm_bin_copy_tftpboot} = $csm_bin_copy_tftpboot;

# Default TFTP Server RPM Name
my $default_tftp_server_pkg_name;
$default_tftp_server_pkg_name = [""];
#$::pkgdefs{default_tftp_server_pkg_name} = $default_tftp_server_pkg_name;

# CSM Log files ( used while uninstalling)
my %logfiles;
$logfiles{'MgmtServer'} = ['/var/log/csm/*.log*'];
$logfiles{'MgdNode'}    = ['/var/log/csm/*.log*'];
$::pkgdefs{logfiles}    = $logfiles{$::mgmt_type};

1;

